require 'crowdfund/pledge_fund'

module Crowdfund
  describe Pledge do
    before do
      @initial_name = "Gold"
      @initial_amount = 1000
      @pledge = Pledge.new(@initial_name, @initial_amount)
    end

    it "has a name attribute" do
      expect(@pledge.name).to eq(@initial_name)
    end

    it "has an amount attribute" do
      expect(@pledge.amount).to eq(@initial_amount)
    end
  end

  describe PledgeFund do

    it "gold inside pledges worth $1000" do
      expect(PledgeFund::PLEDGES[0].amount).to eq(1000)
    end

    it "silver inside pledges worth $500" do
      expect(PledgeFund::PLEDGES[1].amount).to eq(500)
    end

    it "bronze inside pledges worth $250" do
      expect(PledgeFund::PLEDGES[2].amount).to eq(250)
    end

    it "generate random pledge successfuly" do
      pledge = PledgeFund.random
      expect(PledgeFund::PLEDGES).to include(pledge)
    end



  end
end
