require 'crowdfund/vc'

module Crowdfund
  describe VentureCapital do
    before do
      $stdout = StringIO.new
      @vc = VentureCapital.new("Alf's")
      @initial_funds = 0
      @project = Project.new("XYZ", @initial_funds, 500, 10000)
      @vc.add_project(@project)
    end

    it "increase the funding of a project when high number is rolled" do
      expect_any_instance_of(Die).to receive(:roll).and_return(5)
      @vc.request_funding
      expect(@project.funds).to eq(@initial_funds + 25)
    end

    it "skips the funding of a project when the medium number is rolled" do
      expect_any_instance_of(Die).to receive(:roll).and_return(3)
      @vc.request_funding
      expect(@project.funds).to eq(@initial_funds)
    end

    it "decrease the funding of a project when low number is rolled" do
      expect_any_instance_of(Die).to receive(:roll).and_return(1)
      @vc.request_funding
      expect(@project.funds).to eq(@initial_funds - 15)
    end


  end
end